%global pypi_name ceilometermiddleware

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           python-ceilometermiddleware
Version:	    0.5.0
Release:	    6%{?dist}
Summary:        OpenStack Telemetry middleware for generating metrics
License:        ASL 2.0
URL:            http://github.com/openstack/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:	python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-pbr
# Required for running tests
BuildRequires:  python2-mock
BuildRequires:  python2-babel >= 1.3
BuildRequires:  python2-oslo-config >= 2.3.0
BuildRequires:  python2-oslo-context >= 0.2.0
BuildRequires:  python2-oslo-utils >= 2.0.0
BuildRequires:  python2-oslo-messaging >= 1.17.1
BuildRequires:  python2-oslotest
BuildRequires:  python-pycadf >= 1.1.0
BuildRequires:  python2-six >= 1.9.0
BuildRequires:  python-testscenarios

BuildRequires:	python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
# Required for running tests
BuildRequires:  python3-mock
BuildRequires:  python3-babel >= 1.3
BuildRequires:  python3-oslo-config >= 2.3.0
BuildRequires:  python3-oslo-context >= 0.2.0
BuildRequires:  python3-oslo-utils >= 2.0.0
BuildRequires:  python3-oslo-messaging >= 1.17.1
BuildRequires:  python3-oslotest
#BuildRequires:  python3-pycadf
BuildRequires:  python3-six >= 1.9.0
BuildRequires:  python3-testscenarios

%description
This library provides middleware modules designed to enable metric and event data 
generation to be consumed by Ceilometer.


%package -n python2-%{pypi_name}
Summary:  %{summary}
Requires:       python2-babel >= 1.3
Requires:       python2-oslo-config >= 2.3.0
Requires:       python2-oslo-context >= 0.2.0
Requires:       python2-oslo-utils >= 2.0.0
Requires:       python2-oslo-messaging >= 1.17.1
Requires:       python2-pbr
Requires:       python2-pycadf >= 1.1.0
Requires:       python2-six >= 1.9.0
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
This library provides middleware modules designed to enable metric and event data
generation to be consumed by Ceilometer.


%package -n python3-%{pypi_name}
Summary:  %{summary}
Requires:       python3-babel >= 1.3
Requires:       python3-oslo-config >= 2.3.0
Requires:       python3-oslo-context >= 0.2.0
Requires:       python3-oslo-utils >= 2.0.0
Requires:       python3-oslo-messaging >= 1.17.1
Requires:       python3-pbr
Requires:       python3-pycadf >= 1.1.0
Requires:       python3-six >= 1.9.0
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library provides middleware modules designed to enable metric and event data
generation to be consumed by Ceilometer.


%prep
%setup -q -n %{pypi_name}-%{upstream_version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
%{__python2} setup.py test ||:
%{__python3} setup.py test ||:


%files -n python2-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}*.egg-info


%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}*.egg-info


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.5.0-5
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov 02 2016 Dominika Krejci <dkrejci@redhat.com> - 0.5.0-1
- Update to 0.5.0
- Add Python 3

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Mar 23 2016 Haikel Guemar <hguemar@fedoraproject.org> 0.4.0-
- Update to 0.4.0

